%define plugin  resynthesizer

Name:           gimp-%{plugin}
Version:        2.0.1
Release:        %mkrel 1
Summary:        Set of GIMP plug-ins that heal (in-paint), synthesize texture, theme an image, and more
Group:          Graphics/Editors and Converters
License:        GPLv2+
URL:            http://logarithmic.net/pfh/resynthesizer
Source0:        https://github.com/bootchk/resynthesizer/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gimp
BuildRequires:  gimp-devel
BuildRequires:  intltool

Requires:       gimp
Requires:       gimp-python

%description
Resynthesizer is a set of GIMP plug-ins for texture synthesis. Given a sample of a
texture, those plug-ins can create more of that texture. This has uses including:
- Creating more of a texture (including creation of tileable textures)
- Removing objects from images (great for touching up photos)
- Creating themed images (by transfering a texture from one image to another)

%prep
%autosetup -p1 -n %{plugin}-%{version}

%build
autoreconf -vfi
%configure2_5x
%make_build

%install
%make_install

install -D -m644 %{name}.metainfo.xml \
  %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%find_lang %{plugin}

%files -f %{plugin}.lang
%doc ChangeLog README.md
%license AUTHORS COPYING
%{_datadir}/%{plugin}/
%{_datadir}/appdata/%{name}.metainfo.xml
%{_libdir}/gimp/2.0/plug-ins/*


%changelog
* Sun Jan 29 2017 akien <akien> 2.0.1-1.mga6
+ Revision: 1084055
- Version 2.0.1

* Sat Mar 19 2016 danf <danf> 2.0-0.5.mga6
+ Revision: 992952
- Added missing Requires: gimp-python

* Wed Feb 03 2016 umeabot <umeabot> 2.0-0.4.mga6
+ Revision: 934018
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.3.mga5
+ Revision: 749591
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.2.mga5
+ Revision: 679584
- Mageia 5 Mass Rebuild

* Sun May 18 2014 dlucio <dlucio> 2.0-0.1.mga5
+ Revision: 623667
- new snapshot
- P0 no needed
- imported package gimp-resynthesizer

